RESTARTD(8)

NAME
restartd - moniteur et redémarreur de processus

DESCRIPTION

Restartd est un démon qui vérifie si des processus s'exécutent ou pas. Il lit le répertoire /proc toutes les n secondes et effectue une expression rationnelle POSIX sur les noms de processus. Vous pouvez exécuter un script ou un programme si le processus s'exécute ou pas.

Pour l'exécution, restard utilise system(3).

Pour la journalisation, restartd utilise syslog avec les types de traitement LOG_INFO et LOG_ERR.

OPTIONS
restartd suit la syntaxe des lignes de commandes GNU.

-h, --help
    Affiche un peu d'aide.

-v, --version
    Montre le numéro de version et quitte.

-d, --debug
    Ajoute des informations de débogage très limitées.

-i --interval
    L'intervalle de vérification des processus en secondes. Le défaut est de 20.

-c --config
    Utilise un fichier de configuration autre que /etc/restartd.conf.

-f --foreground
    Exécute restartd en avant-plant sans le détacher du terminal de contrôle.

AUTHOR
Cette page de manuel a été écrite par Tibor Koleszar <t.koleszar@somogy.hu> et mise à jour par Aurélien GÉRÔME <ag@roxor.cx> pour le système Debian GNU/Linux.

Dernière modification : Thu, 14 Sep 2006 22:42:57 +0200